/*
 * This file is part of Locutil2.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil2.trace.positionfilter;

import org.pi4.locutil2.GeoPosition;

/**
 * PositionFilter is a placeholder class for position filters. This class only defines the interface
 * to access position filters, but does not provide any functionality.
 * In general, position filters are not aware of orientations and discard this information.
 * 
 * @author king
 *
 */
public class PositionFilter {
	public boolean contains(GeoPosition pos) {
		return true;
	}
	
	public boolean isEmpty() {
		return true;
	}
	
	public String toString() {
		return new String("Empty");
	}
}
