/*
 * This file is part of Locutil2.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil2;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.pi4.locutil2.GeoPositionTest;
import org.pi4.locutil2.PositioningErrorTest;
import org.pi4.locutil2.StatisticsTest;
import org.pi4.locutil2.trace.ParserTest;
import org.pi4.locutil2.trace.TraceEntryTest;
import org.pi4.locutil2.trace.macfilter.MacFilterTest;
import org.pi4.locutil2.trace.positionfilter.PositionFilterExcludeTest;
import org.pi4.locutil2.trace.positionfilter.PositionFilterExplizitTest;
import org.pi4.locutil2.trace.positionfilter.PositionFilterGridTest;

/**
 * A test suite that can be run in Eclipse.
 */
public class LoclibTestSuite extends TestSuite {
	public LoclibTestSuite() {
		// org.pi4.locutil2
		//addTestSuite(MetricsTest.class);
		addTestSuite(StatisticsTest.class);
		addTestSuite(GeoPositionTest.class);
		addTestSuite(PositioningErrorTest.class);

		// org.pi4.locutil2.trace
		addTestSuite(ParserTest.class);
		addTestSuite(TraceEntryTest.class);
		
		// org.pi4.locutil2.trace.*
		addTestSuite(MacFilterTest.class);
		addTestSuite(PositionFilterExcludeTest.class);
		addTestSuite(PositionFilterExplizitTest.class);
		addTestSuite(PositionFilterGridTest.class);
		
	}
	
	public static Test suite() {
		return new LoclibTestSuite();
	}
}
