/*
 * This file is part of Locutil2.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil2;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;

import org.pi4.locutil2.GeoPosition;
import org.pi4.locutil2.PositioningError;

import junit.framework.TestCase;

public class PositioningErrorTest extends TestCase {

	public PositioningErrorTest() {
		super();
	}

	public PositioningErrorTest(String arg0) {
		super(arg0);
	}
	
	public void testCompareTo() {
		PositioningError pe1 = new PositioningError(new GeoPosition(0.0, 0.0, 0.0), new GeoPosition(1.0, 1.0, 0.0));
		PositioningError pe2 = new PositioningError(new GeoPosition(1.0, 1.0, 0.0), new GeoPosition(3.0, 3.0, 0.0));
		PositioningError pe3 = new PositioningError(new GeoPosition(0.5, 0.5, 0.0), new GeoPosition(0.0, 0.0, 0.0));
		PositioningError pe4 = new PositioningError(new GeoPosition(0.0, 0.0, 0.0), new GeoPosition(10.0, 10.0, 0.0));
		PositioningError pe5 = new PositioningError(new GeoPosition(2.0, 2.0, 0.0), new GeoPosition(10.0, 10.0, 0.0));
		ArrayList<PositioningError> alpe = new ArrayList<PositioningError>();
		alpe.add(pe1);
		alpe.add(pe2);
		alpe.add(pe3);
		alpe.add(pe4);
		alpe.add(pe5);
		Collections.sort(alpe);
		Iterator<PositioningError> iterPE = alpe.iterator();
		int count = 1;
		while (iterPE.hasNext()) {
			PositioningError pe = iterPE.next();
			if (count == 1) assertEquals(pe3, pe);
			if (count == 2) assertEquals(pe1, pe);
			if (count == 3) assertEquals(pe2, pe);
			if (count == 4) assertEquals(pe5, pe);
			if (count == 5) assertEquals(pe4, pe);
			//System.out.println(pe);
			count++;
		}
	}
}
