/*
 * This file is part of Locutil2.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil2.trace;

import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;

import junit.framework.TestCase;

import org.pi4.locutil2.trace.Parser;
import org.pi4.locutil2.trace.TraceEntry;

public class TraceEntryTest extends TestCase {
	Parser parser;
	
	public void setUp() {
		parser = new Parser(new File("test/org/pi4/locutil2/trace/TraceEntryTest.txt"));
		parser.setPrecision(5.0);
	}
	
	public void testTraceEntryToString() throws Exception {
		ArrayList<TraceEntry> tes = parser.parse();
		Iterator<TraceEntry> tesIterator = tes.iterator();
		TraceEntry te = tesIterator.next();
		assertEquals("t=0;id=00:00:00:00:00:00;pos=0.0,0.0,0.0;degree=0.0;01:02:03:04:05:06=-50.0,5.0;01:02:03:04:05:06=-40.0,5.0", te.toString());
		
		te = tesIterator.next();
		assertEquals("t=0;id=00:00:00:00:00:00;pos=0.0,0.0,0.0;degree=0.0;01:02:03:04:05:07=-40.0,1.0;01:02:03:04:05:06=-50.0,5.0", te.toString());
	}
}
