/*
 * This file is part of Locutil2.
 * 
 * Copyright (c) 2007 Thomas King <king@informatik.uni-mannheim.de>,
 * University of Mannheim, Germany
 * 
 * All rights reserved.
 *
 * Loclib is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Loclib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Loclib; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package org.pi4.locutil2.trace.positionfilter;

import junit.framework.TestCase;

import org.pi4.locutil2.GeoPosition;
import org.pi4.locutil2.trace.positionfilter.PositionFilterExplizit;

public class PositionFilterExplizitTest extends TestCase {
	PositionFilterExplizit pfe;
	
	public void setUp() {
		pfe = new PositionFilterExplizit();
		pfe.add(new GeoPosition(1.0, 1.0, 1.0));
	}

	public void testContainsPosition() {
		assertTrue(pfe.contains(new GeoPosition(1.0, 1.0, 1.0)));
		assertFalse(pfe.contains(new GeoPosition(1.0, 1.0, 0.0)));
		assertFalse(pfe.contains(new GeoPosition(1.0, 0.0, 1.0)));
		assertFalse(pfe.contains(new GeoPosition(0.0, 1.0, 1.0)));
	}
}
